@import './reset.scss';
@import './helpers.scss';
@import './utils.scss';
@import './animations.scss';

:root {
  --scale: #{math.div(320px, 375px)};
  @media screen and (min-device-width: 360px) { --scale: #{math.div(360px, 375px)}; }
  @media screen and (min-device-width: 375px) { --scale: #{math.div(375px, 375px)}; }
  @media screen and (min-device-width: 412px) { --scale: #{math.div(421px, 375px)}; }
  @media screen and (min-device-width: 414px) { --scale: #{math.div(414px, 375px)}; }
  @media screen and (min-device-width: 480px) { --scale: #{math.div(480px, 375px)}; }
}

html, body, #__nuxt {
  height: 100%;
  background-color: #fb7474;
  font-family: Roboto, sans-serif;
  font-size: math.div(16px, 375px) * 320px;
  line-height: math.div(24px, 375px) * 320px;

  @media screen and (min-device-width: 360px) {
    font-size: math.div(16px, 375px) * 360px;
    line-height: math.div(24px, 375px) * 360px;
  }

  @media screen and (min-device-width: 375px) {
    font-size: math.div(16px, 375px) * 375px;
    line-height: math.div(24px, 375px) * 375px;
  }

  @media screen and (min-device-width: 412px) {
    font-size: math.div(16px, 375px) * 412px;
    line-height: math.div(24px, 375px) * 412px;
  }

  @media screen and (min-device-width: 414px) {
    font-size: math.div(16px, 375px) * 414px;
    line-height: math.div(24px, 375px) * 414px;
  }

  @media screen and (min-device-width: 480px) {
    font-size: math.div(16px, 375px) * 480px;
    line-height: math.div(24px, 375px) * 480px;
  }
}

body {
  min-width: 320px;
}

#__nuxt {
  display: flex;
  flex-direction: column;
  overflow: auto;

  &::before {
    display: block;
    content: '';
    position: fixed;
    z-index: 0;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    background: linear-gradient(228.35deg, #ffb15e 1.93%, #fb7474 82.66%);
    width: 100%;
    max-width: 480px;
    height: 100%;
  }
}

#__layout {
  flex: 1;
  background-color: #000;
}

.next {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  padding: 3px;
  text-decoration: none;
}

.circles {
  position: absolute;
  z-index: 0;
  bottom: 0;
  left: 50%;
  width: rw(375px);
  transform: translate(-50%, 0);

  &--loading {
    transform: translate(-50%, 61%);
  }

  &--topBack {
    bottom: auto;
    top: 0;
    transform: translate(-50%, -11%);
  }

  &--bottomBack {
    bottom: 0;
    top: auto;
    transform: translate(-50%, 61%);
  }
}

.bubbles {
  position: absolute;
  z-index: 0;
  top: rh(180px);
  left: 50%;
  transform: translateX(-50%);
  width: rw(280px);
}

.stars {
  position: absolute;
  z-index: 0;
  top: rs(53px);
  left: rw(76px);
  width: rw(251px);
  transform: translate(0, -90%);
}
